Subject: Re: [PATCH v3 0/4] cache parent project's gitdir in submodules

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Aug 2021 14:56:18 -0700

Emily Shaffer <[email-masked]> writes:

> Since v2, mostly documentation changes and a handful of small nits from
> Junio and Jonathan Tan. Thanks for the reviews, both.

Will queue, but ...

>      +submodule.superprojectGitDir::
>     -+	The relative path from the submodule's worktree  to the superproject's
>     -+	gitdir. This config should only be present in projects which are
>     -+	submodules, but is not guaranteed to be present in every submodule. It
>     -+	is set automatically during submodule creation.
>     ++	The relative path from the submodule's worktree to its superproject's
>     ++	gitdir. When Git is run in a repository, it usually makes no difference
>     ++	whether this repository is standalone or a submodule, but if this
>     ++	configuration variable is present, additional behavior may be possible,
>     ++	such as "git status" printing additional information about this
>     ++	submodule's status with respect to its superproject. This config should
>     ++	only be present in projects which are submodules, but is not guaranteed
>     ++	to be present in every submodule, so only optional value-added behavior
>     ++	should be linked to it. It is set automatically during
>     ++	submodule creation.
>      ++
>     -+	In situations where more than one superproject references the same
>     -+	submodule worktree, the value of this config and the behavior of
>     -+	operations which use it are undefined. To reference a single project
>     -+	from multiple superprojects, it is better to create a worktree of the
>     -+	submodule for each superproject.
>     ++	Because of this configuration variable, it is forbidden to use the
>     ++	same submodule worktree shared by multiple superprojects.

... I think this will regress the format from what I've queued in
'seen' unless you dedent the "Because of this..." paragraph.  It is
unfortunate but AsciiDoc wants the follow-up paragraphs that follow
the single '+' line to start at the left edge without indentation.